(function(exports) {
    var statisticAPI = {
        /*************首页*******************/
        getSignInfo: function(data){
            return httpRequest.get("/statistics/sign_info", {data: data});
        },
        /*************总体分析页面接口列表**************/
        //1、顶部各个tab的值
        statisticTotal: function(data){
            return httpRequest.get("/statistics/total", {data: data});
        },
        //微信绑定和设备绑定数据接口
        statisticBindAll: function(data){
            return httpRequest.get("/statistics/index_all", {data: data});
        },
        //健康文章发送数量
        articleAll: function(data){
            return httpRequest.get("/statistics/article_total", {data: data});
        },
        //2、中间折线图接口 
        //增量（咨询量3、随访量4、健康教育5、代预约量27），到达量（绑定微信21、绑定设备20）
        interval: function(data){
            return httpRequest.get("statistics/interval", {data: data});
        },
        intervalTotal: function(data){
            return httpRequest.get("statistics/interval_total", {data: data});
        },
        //3、底部区域数据接口
        lowlevelTotal: function(data){
            return httpRequest.get("statistics/lowlevel_total", {data: data});
        },
        //微信绑定和设备绑定
        lowlevelAll: function(data){
            return httpRequest.get("statistics/lowlevel_all", {data: data});
        },
        //咨询量数据
        lowlevelTotalMesh: function(data){
            return httpRequest.get("statistics/lowlevel_total_mesh", {data: data});
        },
        articleLowlevelTotal: function(data){
            return httpRequest.get("/statistics/article_lowlevel_total", {data: data});
        },
        lowlevelData: function(url, data){
            return httpRequest.get(url, {data: data});
        },
        //获得团队的详情
        getTeamInfo: function(data){
            return httpRequest.get("doctor/admin-teams/teams/info", {data: data});
        },
        //获取居民分析相关数据
        leveltwoIncrementData: function(data){
            return httpRequest.get("/statistics/leveltwo_increment", {data: data});
        },
        statisticsTime:function(data){
        	return httpRequest.get("/statistics/time", {data: data});
        },
        //长处方分析接口
        getPrescriptionTotalHistogram: function(data){
            return httpRequest.get("statistics/getPrescriptionTotalHistogram", {data: data})
        },
        //评价分析
        //按月份获得个月的评价平均分
        getAVGSocreByMonth: function(data){
            return httpRequest.get("/statistics/getAVGSocreByMonth", {data: data});
        },
        //资质分析
        doorQualificationAnalyze: function(data){
            return httpRequest.get("/doctor/statisticAnalyze/doorQualificationAnalyze", {data: data});
        },
        //资质分析导出excel
        doorQualificationAnalyzeExport:httpRequest.server+"doctor/statisticAnalyze/doorQualificationAnalyzeExport",
        //响应速度分析
        doorResponseAnalyze: function(data){
            return httpRequest.get("/doctor/statisticAnalyze/doorResponseAnalyze", {data: data});
        },
        //响应速度分析导出excel
        doorResponseAnalyzeExport:httpRequest.server+"doctor/statisticAnalyze/doorResponseAnalyzeExport",
        //服务工单分析
        doorServiceOrderAnalyze: function(data){
            return httpRequest.get("/doctor/statisticAnalyze/doorServiceOrderAnalyze", {data: data});
        },
        //服务工单分析导出excel
        doorServiceOrderAnalyzeExport:httpRequest.server+"doctor/statisticAnalyze/doorServiceOrderAnalyzeExport",
        //补助费用
        subsidyExpense: function(data){
            return httpRequest.get("/doctor/statisticAnalyze/subsidyExpense", {data: data});
        },
        //补助费用导出excel
        subsidyExpenseExport:httpRequest.server+"doctor/statisticAnalyze/subsidyExpenseExport",
    }

    exports.statisticAPI = statisticAPI;
})(window)